Kontozahlungen
GET https://olinke.com/api/payments/
curl --request GET \
--url 'https://olinke.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| processor | Optional String | Erlaubte Werte: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | Optional String | Erlaubte Werte: paid, pending, cancelled, refunded |
| type | Optional String | Erlaubte Werte: one_time, recurring |
| frequency | Optional String | Erlaubte Werte: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | Optional String | Erlaubte Werte: datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: id, datetime, total_amount. |
| order_type | Optional String | Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung. |
| page | Optional Integer | Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1. |
| results_per_page | Optional Integer | Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-04-17 10:00:46",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/payments?page=1",
"last": "https://olinke.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/payments?page=1"
}
}
GET https://olinke.com/api/payments/{payment_id}
curl --request GET \
--url 'https://olinke.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-04-17 10:00:46",
}
}